## wxProtocol

Derived from

wxSocketClient

Include files

<wx/protocol/protocol.h>

See also

wxSocketBase, wxURL

Members

wxProtocol::Reconnect
wxProtocol::GetInputStream
wxProtocol::Abort
wxProtocol::GetError
wxProtocol::GetContentType
wxProtocol::SetUser
wxProtocol::SetPassword

### wxProtocol::Reconnect

bool Reconnect()

Tries to reestablish a previous opened connection (close and renegotiate connection).

Return value

true, if the connection is established, else false.

### wxProtocol::GetInputStream

wxInputStream * GetInputStream(const wxString& path)

Creates a new input stream on the specified path. You can use all but seek functionality of wxStream. Seek isn't available on all stream. For example, http or ftp streams doesn't deal with it. Other functions like StreamSize and Tell aren't available for the moment for this sort of stream. You will be notified when the EOF is reached by an error.

Return value

Returns the initialized stream. You will have to delete it yourself once you don't use it anymore. The destructor closes the network connection.

See also

wxInputStream

### wxProtocol::Abort

bool Abort()

Abort the current stream.

Warning

It is advised to destroy the input stream instead of aborting the stream this way.

Return value

Returns true, if successful, else false.

### wxProtocol::GetError

wxProtocolError GetError()

Returns the last occurred error.

wxPROTO_NOERR | No error.
wxPROTO_NETERR | A generic network error occurred.
wxPROTO_PROTERR | An error occurred during negotiation.
wxPROTO_CONNERR | The client failed to connect the server.
wxPROTO_INVVAL | Invalid value.
wxPROTO_NOHNDLR | .
wxPROTO_NOFILE | The remote file doesn't exist.
wxPROTO_ABRT | Last action aborted.
wxPROTO_RCNCT | An error occurred during reconnection.
wxPROTO_STREAM | Someone tried to send a command during a transfer.

### wxProtocol::GetContentType

wxString GetContentType()

Returns the type of the content of the last opened stream. It is a mime-type.

### wxProtocol::SetUser

void SetUser(const wxString& user)

Sets the authentication user. It is mainly useful when FTP is used.

### wxProtocol::SetPassword

void SetPassword(const wxString& user)

Sets the authentication password. It is mainly useful when FTP is used.